var wijzig = false;

    // Toggle de filters opties.
    $("#filters_opties").click(function() {
        if($("#filters").css("display") == "none"){
            $("#filters").css("display", "block");
            $(this).text("-");
        } else {
            $("#filters").css("display", "none");
            $(this).text("+");
        }
    });

    /* Zorgt ervoor dat dingen gewijzigd kunnen worden als er op het potlood wordt geklikt .*/
    $("#wijzig").click(function() {
        if(wijzig == false){
            /* Voegt een verwijder knop toe */
            $(".table_row").append("<td class='verwijder'>Verwijder</td><input class='verwijder_answer' type='hidden' name='verwijder[]' value=''>");
            $(".verwijder").click(function() {
                if($(this).parent().find(".verwijder_answer").val() == "verwijder"){
                    $(this).parent().find(".verwijder_answer").attr("value", "");
                    $(this).css("background-color", "salmon");
                } else {
                    $(this).parent().find(".verwijder_answer").attr("value", "verwijder");
                    $(this).css("background-color", "red");
                }
            });

            // Zorgt dat elementen zichtbaar worden die dat eerst niet waren.
            $(".edit_datum").css("display", "block");
            $(".datum_text").text("");
            $(".edit_begin_tijd").css("display", "block");
            $(".edit_eind_tijd").css("display", "block");

            $(".eind_tijd").removeClass("laatste_td");
            $(".verwijder").addClass("laatste_td");

            // Maakt het textveld van de begin tijd leeg
            $(".begin_tijd").each(function() {
                $(this).find(".begin_tijd_text").text("");
            });

            // Maakt het textveld van de eind tijd leeg
            $(".eind_tijd").each(function() {
                $(this).find(".eind_tijd_text").text("");
            });

            /* Kan de evenement naam  veranderen. */
            $(".edit_event").css("display" , "block");
            $(".event_box").each(function() {
                $(this).find(".edit_event").attr("value", $(this).find(".event_title").text());
                $(this).parent().find(".event_title").css("display", "none");
            });

            /* Kan de locatie naam  veranderen. */
            $(".edit_locatie_naam").css("display", "block");
            $(".locatie").each(function() {
                $(this).find(".edit_locatie_naam").attr("value", $(this).find(".locatie_text").text());
                $(this).parent().find(".locatie_text").css("display", "none");
            });

            /* Kan de evenement tekst veranderen. */
            $(".edit_event_text").css("display", "block");
            $(".event_box").each(function() {
                $(this).find(".edit_event_text").attr("value", $(this).find(".event_text").text());
                $(this).parent().find(".event_text").css("display", "none");
            });

            /* Past cursors aan. */
            $(".doelgroep").css("cursor", "pointer");

            wijzig = true;
        } else {
            $(".verwijder").remove();

            //Geeft datum tekst de waarde die is ingevoerd.
            $(".edit_datum").css("display", "none");;
            $(".datum_text").each(function() {
                $(this).text($(this).parent().find(".edit_datum").val());
            });

            /* Zorgt dat in mobiel mode de offset van de rijen op de juiste td
             * staat
             */
            $(".eind_tijd").addClass("laatste_td");
            $(".verwijder").removeClass("laatste_td");

            //Laat begin en eind tijd edit box verdwijnen
            $(".edit_begin_tijd").css("display", "none");;
            $(".edit_eind_tijd").css("display", "none");;

            //Neemt tijd over van de begin_tijd input veld en zet het in het text vakje
            $(".begin_tijd").each(function() {
                $(this).find(".begin_tijd_text").text($(this).find(".edit_begin_tijd").val());
            });

            //Neemt tijd over van de eind_tijd input veld en zet het in het text vakje
            $(".eind_tijd").each(function() {
                $(this).find(".eind_tijd_text").text($(this).find(".edit_eind_tijd").val());
            });

            /* Kan de evenement naam niet veranderen. */
            $(".edit_event").css("display", "none");;
            $(".event_box").each(function() {
                $(this).find(".event_title").text($(this).find(".edit_event").val());
                $(this).find(".event_title").css("display", "block");
            });

            /* Kan de locatie naam niet veranderen. */
            $(".edit_locatie_naam").css("display", "none");;
            $(".locatie").each(function() {
                $(this).find(".locatie_text").text($(this).find(".edit_locatie_naam").val());
                $(this).find(".locatie_text").css("display", "block");
            });

            /* Kan de evenement tekst niet veranderen. */
            $(".edit_event_text").css("display", "none");;
            $(".event_box").each(function() {
                $(this).find(".event_text").text($(this).find(".edit_event_text").val());
                $(this).parent().find(".event_text").css("display", "block");
            });

            /* Past cursors aan. */
            $(".doelgroep").css("cursor", "default")

            /* Sluit dropdown menu */
            $(".doelgroepen").each(function() {
                 $(this).css("display", "none");
            });

            wijzig = false;
        }
    });

    /* Breidt de tabel row uit waarop geklikt is door de event informatie te laten zien
     * Als hij bestaat en hidden was.
     */
    $(".uitbreiden").click(function() {
        if($(this).parent().find(".event_informatie").css("display") == "block"){
            $(this).parent().find(".event_informatie").css("display", "none");
        } else if($(".event_informatie").css("display") == "block") {
            $(".event_informatie").css("display", "none");
            $(this).parent().find(".event_informatie").css("display", "block");
        } else {
            $(this).parent().find(".event_informatie").css("display", "block");
        }
    });

    // Highlight de labels die al geselecteerd zijn.
    $(".labels_db").each(function() {
        var labels = new Array();
        var labels_db = new Array();
        //Krijgt id van de labels die verbonden zijn met het evenement.
        $(this).find(".label_event").each(function() {
            labels.push($(this).val());
        });

        // haalt alle labels uit de database
        $(this).find(".label_id").each(function() {
            labels_db.push($(this));
        });

        for (var i = 0; i < labels.length; i++) {
            for (var j = 0; j < labels_db.length; j++) {
                if(labels_db[j].val() == labels[i]){
                    labels_db[j].parent().find(".label_selected").attr("value", "selected");
                    labels_db[j].parent().css("background-color", "grey");
                }
            }
        }
    });


    /* dropdown doelgroepen */
    $(".labels_db, .doelgroep").click(function(event) {
        if(wijzig == true){
            if($(this).parent().find(".doelgroepen").css("display") == "block"){
                $(this).parent().find(".doelgroepen").css("display", "none");;
            } else {
                /* Sluit alle dropdown menu */
                $(".doelgroepen").each(function() {
                     $(this).css("display", "none");
                });

                $(this).parent().find(".doelgroepen").css("display", "block");
            }
        }
    }).children().click(function(e) {
        return false;
    });

    /* dropdown doelgroepen */
    $(".labels_filter").click(function(event) {
        if($(this).parent().find(".doelgroepen_filter").css("display") == "block"){
            $(this).parent().find(".doelgroepen_filter").css("display", "none");;
        } else {
            /* Sluit alle dropdown menu */
            $(".doelgroepen_filter").each(function() {
                 $(this).css("display", "none");
            });

            $(this).parent().find(".doelgroepen_filter").css("display", "block");
        }
    }).children().click(function(e) {
        return false;
    });

    // Wordt erop een label in de dropdown menu geclikced wordt hij grijs en selected gezet.
    $(".doelgroep_edit").click(function() {
        if($(this).find(".label_selected").val() == ""){
            $(this).css("background-color", "grey");
            $(this).find(".label_selected").attr("value", "selected");
        } else {
            $(this).css("background-color", "white");
            $(this).find(".label_selected").attr("value", "");
        }
    });

    // Wordt erop een label in de dropdown menu geclikced wordt hij grijs en selected gezet.
    $(".doelgroep_edit_filter").click(function() {
        $(".label_selected").each(function (){
            if($(this).val() == "selected"){
                $(this).val("");
                $(this).parent().css("background-color", "");
            }
        });

        $(this).css("background-color", "grey");
        $(this).find(".label_selected").attr("value", "selected");
    });

    // Verwijder knop waar opgeklikt wordt wordt gehighlight en krijgt value verwijder.
    $(".verwijder").click(function() {
        if($(this).parent().find(".verwijder_answer").val() == "verwijder"){
            $(this).parent().find(".verwijder_answer").attr("value", "");
            $(this).css("background-color", "salmon");
        } else {
            $(this).parent().find(".verwijder_answer").attr("value", "verwijder");
            $(this).css("background-color", "red");
        }
    });
